halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends
hal::HDF5TopSegmentIterator Class Reference
Inheritance diagram for hal::HDF5TopSegmentIterator:

List of all members.

## Public Member Functions
| HDF5TopSegmentIterator (HDF5Genome *genome, hal_index_t index, hal_offset_t startOffset=0, hal_offset_t endOffset=0, hal_bool_t inverted=false)
void | toLeft () const
void | toRight () const
void | toReverse () const
void | toNextParalogy () const
hal_offset_t | getStartOffset () const
hal_offset_t | getEndOffset () const
hal_size_t | getLength () const
hal_bool_t | getReversed () const
void | getString (std::string &outString) const
TopSegmentIteratorPtr | copy ()
TopSegmentIteratorConstPtr | copy () const
void | toChild (BottomSegmentIteratorConstPtr bs, hal_size_t child) const
void | toParseUp (BottomSegmentIteratorConstPtr bs) const
TopSegment * | getTopSegment ()
const TopSegment * | getTopSegment () const
bool | inRange () const
## Protected Attributes
HDF5TopSegment | _topSegment
hal_offset_t | _startOffset
hal_offset_t | _endOffset
hal_bool_t | _reversed
## Friends
class | HDF5BottomSegmentIterator

The documentation for this class was generated from the following files:

- hdf5_impl/hdf5TopSegmentIterator.h
- hdf5_impl/hdf5Genome.cpp
- hdf5_impl/hdf5TopSegmentIterator.cpp

All Classes Namespaces Functions Variables Friends